import * as appscaling from '@aws-cdk/aws-applicationautoscaling';
import * as cloudwatch from '@aws-cdk/aws-cloudwatch';
import { Construct } from '@aws-cdk/core';
/**
 * Use an ApplicationAutoScaling StepScalingAction as an Alarm Action.
 *
 * @stability stable
 */
export declare class ApplicationScalingAction implements cloudwatch.IAlarmAction {
    private readonly stepScalingAction;
    /**
     * @stability stable
     */
    constructor(stepScalingAction: appscaling.StepScalingAction);
    /**
     * Returns an alarm action configuration to use an ApplicationScaling StepScalingAction as an alarm action.
     *
     * @stability stable
     */
    bind(_scope: Construct, _alarm: cloudwatch.IAlarm): cloudwatch.AlarmActionConfig;
}
