import * as autoscaling from '@aws-cdk/aws-autoscaling';
import * as cloudwatch from '@aws-cdk/aws-cloudwatch';
import { Construct } from '@aws-cdk/core';
/**
 * Use an AutoScaling StepScalingAction as an Alarm Action.
 *
 * @stability stable
 */
export declare class AutoScalingAction implements cloudwatch.IAlarmAction {
    private readonly stepScalingAction;
    /**
     * @stability stable
     */
    constructor(stepScalingAction: autoscaling.StepScalingAction);
    /**
     * Returns an alarm action configuration to use an AutoScaling StepScalingAction as an alarm action.
     *
     * @stability stable
     */
    bind(_scope: Construct, _alarm: cloudwatch.IAlarm): cloudwatch.AlarmActionConfig;
}
